'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _child_process = require('child_process');

exports.default = async function (cwd, cmd, ...args) {
  const maxBuffer = 26 * 1024 * 1024;
  return new Promise((resolve, reject) => {
    (0, _child_process.execFile)(cmd, args, { cwd, maxBuffer }, (error, stdout) => {
      if (error) {
        reject(error);
      } else {
        resolve(JSON.parse(stdout));
      }
    });
  });
};