'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLicenses = exports.isYarnInUse = undefined;

var _fs = require('fs');

var _path = require('path');

var _execFile = require('./exec-file');

var _execFile2 = _interopRequireDefault(_execFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isYarnInUse = exports.isYarnInUse = (path = '.') => (0, _fs.existsSync)((0, _path.join)(path, 'node_modules', '.yarn-integrity'));

const getLicenses = exports.getLicenses = async (dev, cwd = '.') => {
  const json = await (0, _execFile2.default)(cwd, 'yarn', '--json', '--no-progress', 'licenses', 'list', dev ? '--dev' : '--prod');
  // expect(json).to.have.property('type', 'table')
  // expect(json).to.have.property('data').that.is.an('object')
  const { data } = json;
  // expect(data).to.have.property('head').that.is.an('array')
  // .that.includes.members(['Name', 'Version', 'License'])
  // expect(data).to.have.property('body').that.is.an('array')
  const { head, body } = data;
  const _name = head.indexOf('Name');
  const _version = head.indexOf('Version');
  const _license = head.indexOf('License');
  return body.map(module => {
    const name = module[_name];
    const version = module[_version];
    const license = module[_license];
    return { name, version, license };
  });
};